[make-initrd] [PATCH v1 27/41] fork pipeline: bootchain-sh-functions modified

Leonid Krivoshein klark.devel at gmail.com
Fri Sep 24 18:58:15 MSK 2021


---
  .../bootchain-core/data/bin/bootchain-sh-functions  | 13 ++++++-------
  1 file changed, 6 insertions(+), 7 deletions(-)

diff --git 
a/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions 
b/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions
index 07a059a..5c5a9fb 100644
--- a/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions
+++ b/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions
@@ -1,13 +1,12 @@
  #!/bin/bash -efu
  -if [ -z "${__pipeline_sh_functions-}" ]; then
-__pipeline_sh_functions=1
+if [ -z "${__bootchain_sh_functions-}" ]; then
+__bootchain_sh_functions=1
   . /.initrd/initenv
  . shell-signal
  -handlerdir="/lib/pipeline"
-mntdir="/dev/pipeline"
+handlerdir=/lib/bootchain
   check_parameter()
  {
@@ -44,8 +43,8 @@ resolve_target()
   run()
  {
-	[ -z "${DEBUG-}" ] || message "[$callnum] RUN: $*"
-	"$@"
+	debug "RUN: $*"
+	"$@" || return $?
  }
  -fi # __pipeline_sh_functions
+fi # __bootchain_sh_functions
-- 
2.21.0




More information about the Make-initrd mailing list